package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqDynamicForm;

import java.util.List;

public interface YcqDynamicFormRepo extends BaseRepo<YcqDynamicForm, Long> {

    List<YcqDynamicForm> getByBusinessId(Long businessId);
    YcqDynamicForm getByBusinessIdAndType(Long businessId,Integer type);

    void deleteByBusinessIdAndType(Long id, Integer type);
}
